IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[IdentityGlobalTransactionNumber]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
  CREATE TABLE [dbo].[IdentityGlobalTransactionNumber]
  (
    [Id] [int] IDENTITY(1,1) NOT NULL,
    [Field1] [int] NULL,
     CONSTRAINT [PK_IdentityGlobalTransactionNumber] PRIMARY KEY CLUSTERED 
  (
    [Id] ASC
  )
  )

  DECLARE @Value INT
  SELECT @Value = ISNULL(MAX(GlobalTransactionNumber), 0)+1 FROM Transactions WITH (NOLOCK)
  DBCC CHECKIDENT('IdentityGlobalTransactionNumber', RESEED, @Value) 
END